<?php
/**
 * Setting preloader
 */
 
 function preloader_admin_settings(){
   $form['type_preloader'] = array(
     '#type' => 'select',
	 '#title' => t('Effect preloader'),
	 '#description' => t('Select the desired effect'),
	 '#options' => array(
			'minimal' => 'Minimal',
			'flash' => 'Flash',
			'barber_shop' => 'Barber Shop',
			'mac_osx' => 'Mac OSX',
			'flat_top' => 'Flat Top',
			'big_counter' => 'Big Counter',
			'corner_indicator' => 'Corner Indicator',
			'bounce' => 'Bounce',
			'loading_bar' => 'Loading Bar',
			'center_cicle' => 'Center Cicle',
			'center_atom' => 'Center Atom',
			'center_radar' => 'Center Radar',
			'center_simple' => 'Center Simple',
		 ),
	  '#default_value' => variable_get('type_preloader', 0)
   );
   
   $form['color_preloader'] = array(
     '#type' => 'textfield',
	 '#title' => 'Enter color',
	 '#description' => t('Enter color without "#", for example cc0000'),
	 '#default_value' => variable_get('color_preloader'),
	 '#size' => 6,
	 '#states' => array(
       'invisible' => array(
          'select[name="type_preloader"]' => array('value' => 'mac_osx')
        )
      ),
   );
   
   return system_settings_form($form);
   
 }
;?>